summaryrefslogtreecommitdiffstats
path: root/src.etc
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-08-08 15:43:25 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-08-08 15:43:25 (EDT)
commit925bda784a0f2f568439a41c1bb444637d293b2f (patch)
treefca6c1ef2106053d8cd45898403374b2ae100dc0 /src.etc
parent75930a814c0a2e0442d2f09a3358b3696453225e (diff)
Add sysfs and mountall init scripts.
Diffstat (limited to 'src.etc')
-rw-r--r--src.etc/init.d/mountall12
-rw-r--r--src.etc/init.d/sysfs20
2 files changed, 32 insertions, 0 deletions
diff --git a/src.etc/init.d/mountall b/src.etc/init.d/mountall
new file mode 100644
index 0000000..c40d48c
--- /dev/null
+++ b/src.etc/init.d/mountall
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ [ ! -d /dev/pts ] && mkdir /dev/pts
+ mount -a
+ ;;
+ *)
+ printf 'Usage: %s start\n' "${0}"
+ exit 1
+ ;;
+esac
diff --git a/src.etc/init.d/sysfs b/src.etc/init.d/sysfs
new file mode 100644
index 0000000..e5e9508
--- /dev/null
+++ b/src.etc/init.d/sysfs
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Mounting process and system filesystems... '
+ [ ! -e /proc/mounts ] && mount -t proc proc /proc
+ [ ! -e /sys/kernel ] && mount -t sysfs sysfs /sys
+ printf 'done.\n'
+ ;;
+ stop)
+ printf 'Unmounting process and system filesystems... '
+ [ -e /proc/mounts ] && umount /proc
+ [ -e /sys/kernel ] && umount /sys
+ printf 'done.\n'
+ ;;
+ *)
+ printf 'Usage: %s {start|stop}\n' "${0}" >&2
+ exit 1
+ ;;
+esac